org.apache.cassandra.cql.jdbc

## Class JdbcInetAddress

- java.lang.Object
- - org.apache.cassandra.cql.jdbc.AbstractJdbcType<java.net.InetAddress>
  - - org.apache.cassandra.cql.jdbc.JdbcInetAddress

-     public class JdbcInetAddress
      extends AbstractJdbcType<java.net.InetAddress>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JdbcInetAddress` | `instance`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.InetAddress` | `compose(java.nio.ByteBuffer bytes)`
    `java.nio.ByteBuffer` | `decompose(java.net.InetAddress value)`
    `int` | `getJdbcType()`
    `int` | `getPrecision(java.net.InetAddress obj)`
    `int` | `getScale(java.net.InetAddress obj)`
    `java.lang.String` | `getString(java.nio.ByteBuffer bytes)`
    `java.lang.Class<java.net.InetAddress>` | `getType()`
    `boolean` | `isCaseSensitive()`
    `boolean` | `isCurrency()`
    `boolean` | `isSigned()`
    `boolean` | `needsQuotes()`
    `java.lang.String` | `toString(java.net.InetAddress obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final JdbcInetAddress instance

  - ### Method Detail

    - #### isCaseSensitive

          public boolean isCaseSensitive()

      Specified by:
        `isCaseSensitive` in class `AbstractJdbcType<java.net.InetAddress>`

    - #### getScale

          public int getScale(java.net.InetAddress obj)

      Specified by:
        `getScale` in class `AbstractJdbcType<java.net.InetAddress>`

    - #### getPrecision

          public int getPrecision(java.net.InetAddress obj)

      Specified by:
        `getPrecision` in class `AbstractJdbcType<java.net.InetAddress>`

    - #### isCurrency

          public boolean isCurrency()

      Specified by:
        `isCurrency` in class `AbstractJdbcType<java.net.InetAddress>`

    - #### isSigned

          public boolean isSigned()

      Specified by:
        `isSigned` in class `AbstractJdbcType<java.net.InetAddress>`

    - #### toString

          public java.lang.String toString(java.net.InetAddress obj)

      Specified by:
        `toString` in class `AbstractJdbcType<java.net.InetAddress>`

    - #### needsQuotes

          public boolean needsQuotes()

      Specified by:
        `needsQuotes` in class `AbstractJdbcType<java.net.InetAddress>`

    - #### getString

          public java.lang.String getString(java.nio.ByteBuffer bytes)

      Specified by:
        `getString` in class `AbstractJdbcType<java.net.InetAddress>`

    - #### getType

          public java.lang.Class<java.net.InetAddress> getType()

      Specified by:
        `getType` in class `AbstractJdbcType<java.net.InetAddress>`

    - #### getJdbcType

          public int getJdbcType()

      Specified by:
        `getJdbcType` in class `AbstractJdbcType<java.net.InetAddress>`

    - #### compose

          public java.net.InetAddress compose(java.nio.ByteBuffer bytes)

      Specified by:
        `compose` in class `AbstractJdbcType<java.net.InetAddress>`

    - #### decompose

          public java.nio.ByteBuffer decompose(java.net.InetAddress value)

      Specified by:
        `decompose` in class `AbstractJdbcType<java.net.InetAddress>`

Copyright © 2014 The Apache Software Foundation